/*
 * FadeTween.h
 *
 * Created: 02.08.2012 19:36:37
 *  Author: Unknown
 */ 


#ifndef TWEEN_H_
#define TWEEN_H_

#include "hw/clock.h"

class FadeTween {
	private:
		Clock m_clk;
		uint8_t m_startR, m_startG, m_startB;
		uint8_t m_destR, m_destG, m_destB;
		uint16_t m_fadeTime;
	public:
		FadeTween();
		uint8_t R;
		uint8_t G;
		uint8_t B;
		uint8_t Done;
		void setNext(uint8_t r, uint8_t g, uint8_t b, uint16_t fadeTime);
		void update();
};


#endif /* TWEEN_H_ */