/*
 * rgbpwm.h
 *
 * Created: 02.08.2012 19:34:06
 *  Author: Unknown
 */ 


#ifndef RGBPWM_H_
#define RGBPWM_H_

#include <avr/io.h>

#define DDR DDRB
#define PORT PORTB
#define PIN_R _BV(PB1)
#define PIN_G _BV(PB3)
#define PIN_B _BV(PB4)

#define PIN_RGB_MASK (PIN_R | PIN_G | PIN_B)

class RgbLed {
  public:
    void start();
	void stop();
    void setColor(uint8_t r, uint8_t g, uint8_t b);
    void setColor(uint8_t index, uint8_t val);
};

#endif /* RGBPWM_H_ */